From 1df1af174bc6f904b2d89f719fe0b390ee7f2484 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 24 2025 19:02:45 +0000
Subject: Build bootc images in IoT variant, tweak subvariants and names


See:
https://pagure.io/fedora-iot/pungi-iot/pull-request/102
https://pagure.io/fedora-iot/pungi-iot/pull-request/138

Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index d92f34d..acaf5ab 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -22,7 +22,7 @@ sigkeys = ['105ef944']
 tree_arches = ['aarch64', 'x86_64', "ppc64le", "s390x"]
 # limit tree variants
 # if undefined, all variants from variants.xml will be included
-tree_variants = ['IoT', 'bootc', 'bootc-base']
+tree_variants = ['IoT']
 hashed_directories = True
 
 # RUNROOT settings
@@ -278,26 +278,31 @@ ostree = {
 }
 
 ostree_container = {
-    "^bootc$": {
-        "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-        "config_url": "https://pagure.io/fedora-iot/base-images",
-        "config_branch": "main",
-        "treefile": "fedora-42.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
-        "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
-        "failable": ['*'],
-    },
-    "^bootc-base$": {
-        "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-        "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
-        "config_branch": "main",
-        "treefile": "fedora-iot-42.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
-        "arches": ["x86_64", "aarch64"],
-        "failable": ['*'],
-    },
+    "^IoT$": [
+        {
+             "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
+             "config_url": "https://pagure.io/fedora-iot/base-images",
+             "config_branch": "main",
+             "treefile": "fedora-42.yaml",
+             "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
+                      "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
+             "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
+             "failable": ['*'],
+             "name": "Fedora-IoT-bootc",
+        },
+        {
+             "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
+             "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
+             "config_branch": "main",
+             "treefile": "fedora-iot-42.yaml",
+             "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
+                      "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
+             "arches": ["x86_64", "aarch64"],
+             "failable": ['*'],
+             "subvariant": "base",
+             "name": "Fedora-base-bootc",
+        },
+    ]
 }
 
 koji_profile = 'compose_koji'
diff --git a/variants-fedora.xml b/variants-fedora.xml
index 9deb115..dd5706e 100644
--- a/variants-fedora.xml
+++ b/variants-fedora.xml
@@ -5,18 +5,6 @@
         <arches>
             <arch>aarch64</arch>
             <arch>x86_64</arch>
-        </arches>
-    </variant>
-    <variant id="bootc-base" name="bootc-base" type="variant" is_empty="true">
-        <arches>
-            <arch>aarch64</arch>
-            <arch>x86_64</arch>
-        </arches>
-    </variant>
-    <variant id="bootc" name="bootc" type="variant" is_empty="true">
-        <arches>
-            <arch>aarch64</arch>
-            <arch>x86_64</arch>
             <arch>ppc64le</arch>
             <arch>s390x</arch>
         </arches>

